﻿using System;
using System.Windows.Input;
using System.Windows;

namespace ContextMenuDataContext
{
    class SameObjectCommand : ICommand
    {
        private object _firstObject;

        public bool CanExecute(object parameter)
        {
            return true;
        }

        public event EventHandler CanExecuteChanged;

        public void Execute(object parameter)
        {
            string message = null;

            if (parameter == null) return;
            if (_firstObject == null)
            {
                _firstObject = parameter;
                message = "First call: remembered parameter";
            }
            else
            {
                if (parameter == _firstObject)
                {
                    message = "Parameter same as the first time";
                }
                else
                {
                    message = "Parameter DIFFERENT from the first time";
                }
            }

            MessageBox.Show(message);

        }
    }
}
